%% -*- coding: utf-8 -*-
:- encoding(utf8).
:- begin_tests(typo_interaction).
:- use_module(typo_interaction).

test(typo_interaction,[setup(Input = [title(''),isbn('')])]) :- typo_interaction(put_on,Input,retry,_).
test(typo_interaction,[setup(Input = [title(''),isbn('4-7561-3414-9')])]) :-
    typo_interaction(put_on,Input,retry,Output),
    option(title('Emacs Lispリファレンスマニュアル'),Output),
    option(isbn('4756134149'),Output).
test(typo_interaction,[fail]) :- typo_interaction(put_on,[],retry,_).

:- end_tests(typo_interaction).
