%% -*- coding: utf-8 -*-
:- module(typo_ipc,[typo_ipc_call/3]).
:- use_module(library(socket)).
:- encoding(utf8).

typo_ipc_call(Port,Request,Response) :-
    tcp_socket(Socket),
    tcp_connect(Socket,'127.0.0.1':Port),
    tcp_open_socket(Socket,ReadFd,WriteFd),
    set_stream(WriteFd,encoding(utf8)),
    write(WriteFd,Request),
    flush_output(WriteFd),
    close(WriteFd),
    set_stream(ReadFd,timeout(5)),
    set_stream(ReadFd,encoding(utf8)),
    catch(read(ReadFd,Response),_,(close(ReadFd),Response = false,!,fail)),
    close(ReadFd).
