%% -*- coding: utf-8 -*-
:- module(typo_pigeon,[typo_pigeon/4]).
:- use_module(sexp).
:- use_module(typo_ipc).
:- encoding(utf8).

typo_pigeon_port(7654).

typo_pigeon(To,From,Subject,Body) :-
    with_output_to(atom(Sexp),typo_pigeon_write_sexp(To,From,Subject,Body)),
    typo_pigeon_port(Port),
    typo_ipc_call(Port,Sexp,true).

typo_pigeon_write_sexp(To,From,Subject,Body) :-
    write('(sendmail '),
    sexp_write_string(To),write(' '),
    sexp_write_string(From),write(' '),
    sexp_write_string(Subject),write(' '),
    sexp_write_string(Body),
    write(')').
