;;
;; Test daemon
;;

(use gauche.test)

(test-start "daemon")

(use daemon)
(test-module 'daemon)

(sys-unlink "daemon.pid")
(let ((xpid (sys-fork)))
  (cond ((< xpid 0)
         (error "failed to fork"))
        ((= 0 xpid)
         ;; child
         (daemon-pid-file "daemon.pid")
         (daemonize)
         (sys-exit 0))
        (else
         (sys-waitpid xpid))))
(define pid (call-with-input-file "daemon.pid" read))
(test* "daemon-pid-file" #t (and (integer? pid) (< 0 pid)))

(test-end)
