;;
;; Test typo.script
;;

(use gauche.test)

(test-start "typo.script")
(use typo.script)
(test-module 'typo.script)

(receive (oport file)
    (sys-mkstemp "/tmp/typo")
  (dynamic-wind
      (lambda ()
        (close-output-port oport))
      (lambda ()
        (test* "typo-script-aws-keyword-file" #f (typo-script-aws-keyword-file file))
        (test* "typo-script-aws-keyword-on" #f (typo-script-aws-keyword-on))
        (test* "typo-script-aws-dasherize" #t (procedure? typo-script-aws-dasherize))
        (test* "typo-script-aws-keyword-off" #f (typo-script-aws-keyword-off)))
      (lambda ()
        (sys-unlink file))))

(test-end)
