(define-module typo.io
  (use rfc.mime)
  (use typo.dbi)
  (use www.cgi)
  (export
   typo-post-file
   ))

(select-module typo.io)

(define (typo-post-file conn name filename part-info iport)
  (let ((ofile (format #f "/tmp/DATA~d" (sys-time)))) ;; FIXME
    (mime-body->file part-info iport ofile)
    (sys-chmod ofile (logior (ash 6 6) (ash 6 3) 6))
    (let ((id (typo-dbi-nextval conn "SEQ_TEMPORARY_FILE_ID")))
      (typo-dbi-insert conn
                       "TEMPORARY_FILES"
                       :id id
                       :mime_type (format #f "~a/~a" (ref part-info 'type) (ref part-info 'subtype))
                       :path ofile
                       :name name
                       :filename filename)
      id)))

(provide "typo/io")
