%% -*- coding: utf-8 -*-
:- begin_tests(isbn).
:- use_module(isbn).
:- encoding(utf8).

test(isbn,[setup(atom_chars('ISBN4-7561-3414-9',X))]) :-  phrase(isbn(10,_),X).
test(isbn,[setup(atom_chars('4-7561-3414-9',X))]) :- phrase(isbn(10,_),X).
test(isbn,[setup(atom_chars('4756134149',X))]) :- phrase(isbn(10,_),X).
test(isbn,[setup(atom_chars('4894712261',X))]) :- phrase(isbn(10,_),X).
test(isbn,[setup(atom_chars('489471163X',X))]) :- phrase(isbn(10,_),X).
test(isbn,[setup(atom_chars('9784894712263',X))]) :- phrase(isbn(13,_),X).
test(isbn,[setup(atom_chars('978-4894711631',X))]) :- phrase(isbn(13,_),X).

:- end_tests(isbn).
