%% -*- coding: utf-8 -*-
:- encoding(utf8).
:- begin_tests(typo_aws).
:- use_module(typo_aws).

test(isbn_to_image) :-
    isbn_to_image('9784756134141',image([src('http://ecx.images-amazon.com/images/I/21EEkKNfI%2BL.jpg'),height(160),width(123)])).
test(isbn_to_image) :-
    isbn_to_image('4756136494',image([src('http://ecx.images-amazon.com/images/I/21B5DRRJF2L.jpg'),height(140),width(98)])).
test(isbn_to_image) :-
    isbn_to_image('9784873113357',image([src('http://ecx.images-amazon.com/images/I/21ByBS2-PFL.jpg'),height(160),width(114)])).

test(isbn_to_title) :-
    isbn_to_title('9784756134141',title('Emacs Lispリファレンスマニュアル')).
test(isbn_to_title) :-
    isbn_to_title('4756136494',title('プログラミング作法')).
test(isbn_to_title) :-
    isbn_to_title('9784873113357',title('Statistics Hacks ―統計の基本と世界を測るテクニック')).

:- end_tests(typo_aws).
