%% -*- coding: utf-8 -*-
:- encoding(utf8).
:- begin_tests(typo_dbi).
:- use_module(typo_dbi).

test(typo_dbi_delete) :- typo_dbi_delete(user(1,[])).
test(typo_dbi_delete) :- forall(typo:user(Id,User),typo_dbi_delete(user(Id,User))).

test(typo_dbi_insert,[cleanup(forall(typo:user(Id,User),typo_dbi_delete(user(Id,User))))]) :-
    forall(typo:user(Id,User),typo_dbi_insert(user(Id,User))).
test(typo_dbi_insert,[cleanup(forall(typo:bib(Id,Bib),typo_dbi_delete(bib(Id,Bib))))]) :-
    forall(typo:bib(Id,Bib),typo_dbi_insert(bib(Id,Bib))).
test(typo_dbi_insert,[cleanup(forall(typo:rep(Id,UserId,BibId,Rep),typo_dbi_delete(rep(Id,UserId,BibId,Rep))))]) :-
    forall(typo:rep(Id,UserId,BibId,Rep),typo_dbi_insert(rep(Id,UserId,BibId,Rep))).

:- end_tests(typo_dbi).
