%% -*- coding: utf-8 -*-
:- use_module(typo_test).
:- begin_tests(typo_html).
:- use_module(typo_html).
:- encoding(utf8).

test(recent_reps) :-
    X = [ <,h3,>,
          'Recent Reps',
          </,h3,>,
          <,ul,>,
          <,li,>,
          <,a,' ',href,'="','/rep?id=12','"',>,'のが重複している',</,a,>,
          </,li,>,
          </,ul,>
        ],
    phrase(recent_reps,Y,[]),
    typo_test:remove_options(nl,Y,X).

test(recent_reviews) :-
    X = [ <,h3,>,
          'Recent Reviews',
          </,h3,>,
          <,ul,>,
          <,li,>,
          <,a,' ',href,'="','/bib?id=1','"',>'"マイナモード"が気になる。',</,a,>,
          </,li,>,
          </,ul,>
        ],
    phrase(recent_reviews,Y,[]),
    typo_test:remove_options(nl,Y,X).

test(js) :-
    X = [<,script,' ',type,'="','text/javascript','"',>,
         'function(){};',
         </,script,>],
    phrase(js('function(){};'),Y,[]),
    typo_test:remove_options(nl,Y,X).
test(js) :-
    X = [<,script,' ',type,'="','text/javascript','"',>,
         'null;','true;',
         </,script,>],
    phrase(js(['null;','true;']),Y,[]),
    typo_test:remove_options(nl,Y,X).

:- end_tests(typo_html).
