:- module(typo_test,
          [remove_options/3]).
:- encoding(utf8).

remove_options(Name,Options,RestOptions) :-
    Term =.. [Name,_],
    select_option(Term,Options,X),!,
    ( X == Options ->
      X = RestOptions
    ; remove_options(Name,X,RestOptions)
    ).
remove_options(_,Options,Options).
