%% -*- coding: utf-8 -*-
:- module(typo_util,[typo_export/0]).
:- use_module(typo_dbi).
:- use_module(typo).
:- encoding(utf8).

typo_database(user/2).
typo_database(bib/2).
typo_database(bookshelf/4).
typo_database(rep/4).
typo_database(syn/4).
typo_database(review/4).

typo_export :-
    forall(typo_database(Name/Arity),
           (length(Argument,Arity),
            Term =.. [Name|Argument],
            Relation =.. [:,typo,Term],
            forall(call(Relation),
                   (typo_dbi:typo_dbi_delete(Term),
                    typo_dbi:typo_dbi_insert(Term))))).
